# Uses of Interface
org.eclipse.emf.cdo.expressions.ShortValue

Packages that use ShortValue
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of ShortValue in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return ShortValue
Modifier and Type
Method
Description
`ShortValue`
ExpressionsFactory.`createShortValue()`
Returns a new object of class 'Short Value'.

## Uses of ShortValue in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement ShortValue
Modifier and Type
Class
Description
`class`
`ShortValueImpl`
An implementation of the model object 'Short Value'.
Methods in org.eclipse.emf.cdo.expressions.impl that return ShortValue
Modifier and Type
Method
Description
`ShortValue`
ExpressionsFactoryImpl.`createShortValue()`

## Uses of ShortValue in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util that return ShortValue
Modifier and Type
Method
Description
`static ShortValue`
ExpressionsUtil.`value(short literal)`
Methods in org.eclipse.emf.cdo.expressions.util with parameters of type ShortValue
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseShortValue(ShortValue object)`
Returns the result of interpreting the object as an instance of 'Short Value'.